<!DOCTYPE html>
<html>

<head>
    <title>Invoice</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

</head>

<body>
    <div id="customers">

        <h2>Tax Invoice</h2>
        <p>Date:  {{date.strftime("%d %B %y")}}</p>


    <table style="border: none;" id="tab_customers" >
        <colgroup>
            <col width="50%">
                
                    <col width="50%">
                       
        </colgroup>
        <thead>
            <tr class='warning'>
                <th>Invoice To</th>
              
                <th>From</th>
                
            </tr>
        </thead>
        <tbody>
           
            <tr>
         
            <td>{{user.name}}</td>
            
              <td>PODit</td>
         
        </tr>
            <tr>
         
            <td>Address: {{user.address.full_name}}</td>
            
              <td>Address: 40 Linton str, Stellenbosch 7600</td>
         
        </tr>

            <tr>
         
            <td>Email: {{user.email}}</td>
           
              <td>Email: info@podit.co.za</td>
         
        </tr>
         <tr>
         
            <td>Tel: {{user.cell_no}}</td>
            
              <td>Tel: 073 0066 404</td>
         
        </tr>
          <tr>
         
            <td></td>
          
              <td></td>
         
        </tr>

          <tr>
         
            <td></td>
            
              <td></td>
         
        </tr>
           
        </tbody>
    </table>


            <br>
  
            <p>Status:UNPAID</p>
           
         
 
    <table id="tab_customers" class="table table-striped">
        <colgroup>
            <col width="20%">
                <col width="20%">
                    <col width="20%">
                        <col width="20%">
        </colgroup>
        <thead>
            <tr class='warning'>
                <th>Created</th>
                <th>Amount</th>
                <th>Description</th>
                
            </tr>
        </thead>
        <tbody>
               {% for c in charges %}
            <tr>
         
            <td>{{c.created.strftime("%d %B %y")}}</td>
             <td>R{{   '%0.2f' %  c.amount}}</td>
              <td>{{c.details}}</td>
         
        </tr>
           {% endfor %}
        </tbody>
    </table>
    <p>Total:    R {{  '%0.2f' % total}} </p> 
    <p>Payments/Credits:    R0.00 </p> 
    <p>Balance due:     R{{  '%0.2f' % total}} </p> 
</div>
<button onclick="javascript:demoFromHTML();">PDF</button>


     <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.2.61/jspdf.debug.js"></script>


        <script type="text/javascript">

        function demoFromHTML() {
    var pdf = new jsPDF('p', 'pt', 'letter');
    // source can be HTML-formatted string, or a reference
    // to an actual DOM element from which the text will be scraped.
    source = $('#customers')[0];

    // we support special element handlers. Register them with jQuery-style 
    // ID selector for either ID or node name. ("#iAmID", "div", "span" etc.)
    // There is no support for any other type of selectors 
    // (class, of compound) at this time.
    specialElementHandlers = {
        // element with id of "bypass" - jQuery style selector
        '#bypassme': function (element, renderer) {
            // true = "handled elsewhere, bypass text extraction"
            return true
        }
    };
    margins = {
        top: 80,
        bottom: 60,
        left: 40,
        width: 522
    };
    // all coords and widths are in jsPDF instance's declared units
    // 'inches' in this case
    pdf.fromHTML(
    source, // HTML string or DOM elem ref.
    margins.left, // x coord
    margins.top, { // y coord
        'width': margins.width, // max width of content on PDF
        'elementHandlers': specialElementHandlers
    },

    function (dispose) {
        // dispose: object with X, Y of the last line add to the PDF 
        //          this allow the insertion of new lines after html
        pdf.save('{{user.email}}{{date.strftime("%d%B")}}.pdf');
    }, margins);
}

        </script>
</body>

</html>